'''
Computes SATzilla performances matrix and print it on std output.
'''

import sys
import os
import csv

times_file = '/public/xcsp_instances/new/solvers/csp/fixed/times_csp'
NUM_INSTANCES = 4642
NUM_SOLVERS = 12  

def main(args):
  P = {}
  times_reader = csv.reader(open(times_file, 'rb'), delimiter = '|')
  P[0, 0] = 'inst'
  i = 0
  for row in times_reader:
    j = 1
    times = eval(row[1])
    if i == 0:
      solvers = times.keys()
      j = 1
      for solver in solvers:
        P[0, j] = solver
        j += 1
      P[0, j] = 'nosolver'
      j = 1
      i = 1
    for time in times.values():
      P[i, j] = time
      j += 1
    P[i, j] = 1800.0
    P[i, 0] = row[0]
    i += 1
  
  for i in range(0, NUM_INSTANCES + 1):
    row = ''
    for j in range(0, NUM_SOLVERS + 1):            
      row += str(P[i, j]) + ' '
    print row + str(P[i, NUM_SOLVERS + 1])
    
if __name__ == '__main__':
    main(sys.argv[1:])
