'''
Generate statistics for SUNNY approach.
'''

import csv
import sys
num_solvers = 12

def main(args):
  # The first argument is the k parameter of k-NN.
  k = args[0]
  file_path = "/public/xcsp_instances/new/predictions/csp/SUNNY/k_" + k
  for n_solver in range(2, num_solvers):
    n = 0
    nsi = 0
    ast = 0
    data = csv.reader(
      open(file_path + "/results_sunny" + k + "_" + str(n_solver) + "solvers", "rb"), 
      delimiter='|', 
      skipinitialspace = True
    )
    for line in data:
      if line:
        n += 1
        nsi += float(line[10])
        ast += float(line[11])     
    print str(n_solver) + '|' + str(ast / n) + '|' + str((nsi / n) * 100)        

if __name__ == '__main__':
    main(sys.argv[1:])
